Get Events

get

/events

Gets the list of events based on query parameters

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of events is returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : event
Type: object
Show Source
Nested Schema : AccountName
Type: object
Account name associated with the item's accounts receivable billinfo.
Show Source
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : balanceImpacts
Type: array
The detailed breakdown of the balance impact.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : monitorImpacts
Type: array
Detailed breakdown of monitor impacts.
Show Source
Nested Schema : monitorSubBalanceImpacts
Type: array
Array to hold the sub_balances impacts for a particular monitor balance group and its resource.
Show Source
Nested Schema : rumMap
Type: array
This array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Show Source
  • RumMap
    This array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Nested Schema : subBalanceImpacts
Type: array
Array to hold the sub_balances impacts.
Show Source
Nested Schema : taxJurisdictions
Type: array
Array of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Show Source
  • TaxJurisdiction
    Array of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Nested Schema : BalanceImpact
Type: object
The detailed breakdown of the balance impact.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : MonitorImpact
Type: object
Detail breakdown of monitor impacts.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : SubBalanceImpact
Type: object
Array to hold the sub_balances impacts.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : subBalances
Type: array
Array to hold the sub_balances impacts.
Show Source
Nested Schema : EventSubBalances
Type: object
Array to hold the sub_balances impacts.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : RumMap
Type: object
This array will hold the information for the rums that have been used to rate the event. It is optional. The RUM_ID in the balance impacts array refers to the element id in this array.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : TaxJurisdiction
Type: object
Array of tax details. Array element id is not significant. Each array element corresponds to a jurisdiction pair. If multiple rates were applicable in determining the event balance impacts, then it is possible to have many rows for the same jurisdiction.
Show Source
Nested Schema : extension
Type: object
The extended attributes.

204 Response

No search criteria were provided for event search.

400 Response

The request is not valid.

500 Response

An internal server error occurred.
Back to Top

Examples

This example shows how to get event details by submitting a GET request on the REST resource using cURL. For more information about cURL, see "Use cURL".

cURL Command

curl -X GET 'http://hostname:port/bcws/webresources/version/events

where:

  • hostname is the URL for the Billing Care REST server.
  • port is the port for the Billing Care REST server.
  • version is the version of the API you're using, such as v1.0.

Example of Response Body

This example shows the contents of the response body in JSON format.

[
    {
        "extension": null,
        "id": {
            "id": "0.0.0.1+-newsfeed+358845410934774345",
            "uri": null
        },
        "created": 1762419890000,
        "accountRef": {
            "id": "0.0.0.1+-account+384667",
            "uri": null
        },
        "amount": -0.002,
        "billInfoRef": {
            "id": "0.0.0.1+-billinfo+384411",
            "uri": null
        },
        "eventRef": {
            "id": "0.0.0.1+-event-billing-dispute-event+358845410934772297",
            "uri": null
        },
        "externalUser": "weblogic",
        "message": "120",
        "objectRef": {
            "id": "0.0.0.1+-item-dispute+358845410934774857",
            "uri": null
        },
        "reasonDomainId": 60,
        "reasonId": 107,
        "resourceId": 978,
        "typeId": 3,
        "typeStr": "D1-181"
    },
    {
        "extension": null,
        "id": {
            "id": "0.0.0.1+-newsfeed+358845410934775625",
            "uri": null
        },
        "created": 1762419973000,
        "accountRef": {
            "id": "0.0.0.1+-account+384667",
            "uri": null
        },
        "amount": 0,
        "billInfoRef": {
            "id": "0.0.0.1+-billinfo+384411",
            "uri": null
        },
        "eventRef": {
            "id": "0.0.0.1+-event-billing-settlement-event+358845410934773577",
            "uri": null
        },
        "externalUser": "weblogic",
        "message": "123;;126;;999|~|0.002;;999|~|D1-181",
        "objectRef": {
            "id": "0.0.0.1+-item-settlement+358845410934774601",
            "uri": null
        },
        "reasonDomainId": 60,
        "reasonId": 108,
        "resourceId": 978,
        "typeId": 4,
        "typeStr": ""
    }
]
Back to Top